<template>
	<div>
		<app-drawer v-model="drawer" />
		<v-app-bar app flat>
			<v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>

			<v-toolbar-title>{{ title }} </v-toolbar-title>

			<v-spacer />
			<navbar-user-menu />
		</v-app-bar>
	</div>
</template>

<script>
import { defineComponent, ref } from '@vue/composition-api';
import AppDrawer from '@/components/common/AppDrawer.vue';
import NavbarUserMenu from '@/views/auth/NavbarUserMenu.vue';

export default defineComponent({
	components: {
		AppDrawer,
		NavbarUserMenu,
	},
	props: {
		title: String,
	},
	setup() {
		return {
			drawer: ref(false),
		};
	},
});
</script>

<style></style>
